View Issue Details

IDProjectCategoryExploit/GlitchLast Update
0003027Battlefield 1Input / ControlsNo2017-07-16 23:14
Reportercrigggles 
SeverityMajorReproducibility@10@ 
Status InvestigatingResolutionOpen 
PlatformPC 
Product Version 
Fixed in Version 
Summary0003027: Field Gun rotation inverts if gun is turned beyond 90 Degrees from original direction.
DescriptionThe field gun has it's rotation inverted if the field gun is turned more than 90 Degrees from where it is facing initially. The speed of rotation also starts to slow down until the critical point is reached after which the opposite key is required to be held in order to keep rotating it. I'm unsure whether this is intended or a bug.
Steps To Reproduce1. Enter Field Gun that has not been rotated and is facing it's initial direction.
2. Turn the gun Left/Right using mapped keys for turning left/right (A/D).
3. The field gun will rotate fast and suddenly slow down. To continue rotating in the direction, the opposite key needs to be held. (ex. Rotate Left -> Press Right Turn and vice-versa).
4. Turning the gun back to it's initial direction corrects the inversion.

Relationships

has duplicate 0003022 ClosedRedSpider FK 96 "turning" slows down and changes dirction 

Activities

DingoKillr

2017-02-17 06:58

User
  ~0003672

As you can see when turn the gun it slows down once it past that point you need to change to the opposite key direction to continue in the same original direction

https://youtu.be/KT_P0b2sov4

deadzone404

2017-03-31 15:45

User
  ~0003914

To add, it seems the field guns turn in "quadrants". The slowdown mentioned can be overcame by using W or S to turn the gun at its normal speed once it reaches the end of the A or D quadrant.

Kronan

2017-04-02 06:11

User
  ~0003916

Confirmed. Hope this gets fixed.

Anthonio

2017-07-16 23:14

User
  ~0004543

Just played some single player and the cannon in SP does turn normally with A and D.

Confirming that it has not yet been fixed in the multiplayer. After a certain point you have to use W or S to turn further.
Then you have to use A/D but mirrored. A is right and D is left until you turn it back to its starting position.